> For the complete documentation index, see [llms.txt](https://docs.skeddly.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.skeddly.com/data-types/actionparameters-object/googleresizemanagedinstancegroupsparameters-object.md).

# GoogleResizeManagedInstanceGroupsParameters Object

## Description

Parameters for the Google Resize Managed Instance Groups action.

## Properties

### credentialIds

Registered credentials to use with the action. One and only one credential must be specified.

Type: Array of `string`

Required: Yes

### groupNames

List of the names of the managed instance groups that are to be started.

Type: Array of `string`

Required: No

### groupNameComparisons

List of comparisons to use when comparing managed instance groups by their name. Cannot be specified if `groupNames` is specified.

Type: List of [GoogleManagedInstanceGroupNameComparison](/data-types/googlemanagedinstancegroupnamecomparison-object.md) object.

Required: No

### newSize

New size of the managed instance group.

Type: `integer`

Required: Yes

### regionNames

Regions to use with the action. Omit or specify `null` to include "all regions".

Type: Array of `string`

Required: No

### revertTimeInSeconds

Time (in seconds) after which the managed instance groups will be reverted to their previous settings.

Type: `integer`

Required: No

## Matching Managed Instance Groups

The following fields are used to match managed instance groups:

* groupNames
* groupNameComparisons

Omitting all of the above properties is equivalent to "All Groups".

Specifying only `groupNames` is equivalent to "By Group Name".

Specifying one or more of the `*Comparisons` properties is equivalent to "By Comparison Filter".

## Sample JSON

```javascript
{
    "credentialIds": [
        "cred-00000001"
    ],
    "regionNames": [
        "us-east-1"
    ],

    "groupNames": [
        "group1",
        "group2"
    ],
    
    "newSize": 0,

    "revertTimeInSeconds": 43200
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.skeddly.com/data-types/actionparameters-object/googleresizemanagedinstancegroupsparameters-object.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
